Subject: Re: [Sipping] Comments on tel:uri

From: [email-masked]
Date: Tue, 15 Oct 2002 07:26:32 EDT

In a message dated 10/14/2002 9:27:35 AM Eastern Daylight Time, 
[email-masked] writes:

> I would put this somewhat differently: for many organizations, this is 
> no problem, as they know precisely which numbers they own. (E.g., 
> Columbia University owns all of +1 212 854, so they can safely use 
> this.) Which cases did you have in mind where an organization might lack 
> such certainty?
> 
In the typical case, an organization may "own" all the numbers for +1 212 854 
1000-8999, but not 0xxx and 9xxx, since 0 and 9 are used internally for other 
purposes, so aren't used for internal telephone numbers. Another organization 
which only needs a couple hundred numbers might be assigned the range +1 212 
854 0200-0499. With these two cases, there could be confusion on who "owns" 
what number range. (Actually, there is a slight problem in the choice of 
words. I don't think any of them really "own" the numbers. Use is assigned by 
some national assignment authority.)

I think there should be some statement to the effect that the organization 
must be assigned use of every number within the range of the code they are 
using in the tel:uri.

Mike Pierce
Artel

---

From: Henning Schulzrinne <[email-masked]>
Date: Tue, 15 Oct 2002 10:25:00 -0400

> In the typical case, an organization may "own" all the numbers for +1 
> 212 854 1000-8999, but not 0xxx and 9xxx, since 0 and 9 are used 
> internally for other purposes, so aren't used for internal telephone 
> numbers. Another organization which only needs a couple hundred numbers 
> might be assigned the range +1 212 854 0200-0499. With these two cases, 
> there could be confusion on who "owns" what number range. (Actually, 
> there is a slight problem in the choice of words. I don't think any of 
> them really "own" the numbers. Use is assigned by some national 
> assignment authority.)

I don't think we can prevent confusion on the part of organization. In 
the first case, the organization can specify one of

2128541000 - to be safe
212854  - if it knows that nobody else can use the other numbers

I will recommend that organizations use the lowest number in their 
assigned range if there is no suitable prefix.

> 
> I think there should be some statement to the effect that the 
> organization must be assigned use of every number within the range of 
> the code they are using in the tel:uri.

Noted.

> Artel

_______________________________________________
Sipping mailing list  https://www1.ietf.org/mailman/listinfo/sipping
This list is for NEW development of the application of SIP
Use [email-masked] for questions on current sip
Use [email-masked] for new developments of core SIP